package de.huberlin.elab.pfw;

/**
 *  Mutter aller Persistance-Broker.
 */
public abstract class PFWBroker
{
    public Object objectWith(Object anOID)
    {
	Object obj = inCache(anOID);
	if (obj!=null)
	    return obj;
	else
	    return materializeWith(anOID);
    }

    protected Object inCache(Object anOID)
    {	
	return myCache.find(anOID);
    }
    
    public abstract Object materializeWith(Object anOID);

    protected ObjectCache myCache = new ObjectCache();

}
    
	
